<% if @user.errors.present? %>
  <div class="col-12-xxxl col-lg-12 col-12 form-group">
    <div id="error_explanation">
      <h4><%= pluralize(@user.errors.count, "error") %> prohibited this user from being saved:</h4>
      <div class="row">
        <div class="col-lg-12 validation-err">
          <% @user.errors.messages.each_with_index do |error_message, index| %>
            <%= index + 1 %>) <%= error_message.first.to_s.split('_').join(' ').titleize %> : <%= error_message[1].last %> <br />
          <% end %>    
        </div>
      </div>
    </div>
  </div>
<% end %>

<% if current_user.admin? %>
  <% action_path = admin_role_user_path(@user) %>
  <% cancel_path = admin_role_users_path() %>
<% else %>
  <% action_path = profile_path(@user)  %>
  <% cancel_path = root_path  %>
  <% end %>
<%= form_for @user, url: action_path, action: 'PUT', :class => "form-horizontal"  do |f| %>
  <div class="form-group">
    <label class="control-label col-sm-2" for="email">Email:</label>
    <div class="col-sm-10">
    <% unless @flag %>
      <%= f.text_field :email, :placeholder=>"Email", :class=>"form-control form-control-line" %>
    <% else%>
      <%= f.text_field :email, :placeholder=>"Email", :class=>"form-control form-control-line", disabled: true %>
    <% end %>
    </div>
  </div>
  <div class="form-group">
    <label class="control-label col-sm-2" for="email">Name:</label>
    <div class="col-sm-10">
    <% unless @flag %>
      <%= f.text_field :name, :placeholder=>"Name", :class=>"form-control form-control-line" %>
    <% else %>
      <%= f.text_field :name, :placeholder=>"Name", :class=>"form-control form-control-line" , disabled: true%>
    <% end %>
    </div>
  </div>
  <% @user.build_address unless @user.address %>
  <%= f.fields_for :address do |ff| %>
    <div class="form-group">
      <label class="control-label col-sm-2" for="pwd">Street:</label>
      <div class="col-sm-10"> 
        <% unless @flag %>
          <%= ff.text_field :street, :placeholder=>"Street", :class=>"form-control form-control-line" %>
        <% else %>
          <%= ff.text_field :street, :placeholder=>"Street", :class=>"form-control form-control-line" , disabled: true%>
        <% end %>
      </div>
    </div>
    <div class="form-group">
      <label class="control-label col-sm-2" for="pwd">City:</label>
      <div class="col-sm-10"> 
      <% unless @flag %>
          <%= ff.text_field :city, :placeholder=>"City", :class=>"form-control form-control-line" %>
        <% else %>
          <%= ff.text_field :city, :placeholder=>"City", :class=>"form-control form-control-line" , disabled: true%>
        <% end %>
      </div>
    </div>
    <div class="form-group">
      <label class="control-label col-sm-2" for="pwd">State:</label>
      <div class="col-sm-10"> 
      <% unless @flag %>
          <%= ff.text_field :state, :placeholder=>"State", :class=>"form-control form-control-line" %>
        <% else %>
          <%= ff.text_field :state, :placeholder=>"State", :class=>"form-control form-control-line" , disabled: true%>
        <% end %>
      </div>
    </div>
    <div class="form-group">
      <label class="control-label col-sm-2" for="pwd">Landmark:</label>
      <div class="col-sm-10"> 
      <% unless @flag %>
          <%= ff.text_field :landmark, :placeholder=>"Landmark", :class=>"form-control form-control-line" %>
        <% else %>
          <%= ff.text_field :landmark, :placeholder=>"Landmark", :class=>"form-control form-control-line" , disabled: true%>
        <% end %>
      </div>
    </div>
    <div class="form-group">
      <label class="control-label col-sm-2" for="pwd">Pincode:</label>
      <div class="col-sm-10"> 
      <% unless @flag %>
          <%= ff.text_field :pincode, :placeholder=>"Pincode", :class=>"form-control form-control-line" %>
        <% else %>
          <%= ff.text_field :pincode, :placeholder=>"Pincode", :class=>"form-control form-control-line" , disabled: true%>
        <% end %>
      </div>
    </div>    
    <div class="form-group">
      <label class="control-label col-sm-2" for="pwd">Phone No:</label>
      <div class="col-sm-10"> 
        <%= ff.text_field :phone_no, :placeholder=>"Phone No", :class=>"form-control form-control-line" %>
      </div>
    </div>    
  <% end %>
  <div class="form-group">
    <label class="control-label col-sm-2" for="pwd">Pincode:</label>
    <div class="col-sm-10"> 
      <% unless @flag %>
        <%= f.file_field :profile_picture, :placeholder=>"Profile Picture", :class=>"form-control form-control-line" %>
        <% else %>
          <%= f.file_field :profile_picture, :placeholder=>"Profile Picture", :class=>"form-control form-control-line, disabled: true" , disabled: true%>
        <% end %>
    </div>
  </div>
  <div class="form-group"> 
    <div class="col-sm-offset-2 col-sm-10">
      <%= link_to "Cancel", cancel_path, :class => 'btn btn-secondary' %>
      <button type="submit" class="btn btn-primary">Submit</button>
    </div>
  </div>
<% end %>














